
#ifdef        GLOBALS_BSP_SCI
    #define   EXTERN_BSP_SCI
   
#else
    #define   EXTERN_BSP_SCI     extern
#endif

#ifndef _BSP_SCI_H_
#define _BSP_SCI_H_

	#define             CH1          1
	#define             CH2          2
	#define             baud_9600    208
	#define             baud_19200   104
	#define             baud_38400   52	
	#define             baud_115200  17
	
	#define             div4       3
	
	EXTERN_BSP_SCI     void            bsp_SCI_Init(void);
	EXTERN_BSP_SCI     void            bsp_SCI_Trans_Byte(INT8U data);
	EXTERN_BSP_SCI     void            bsp_SCI_Trans_Bytes(INT8U *pStr, INT8U length);
	EXTERN_BSP_SCI     interrupt void  bsp_SCI_Rev_isr(void);
	
#endif /* _BSP_SCI_H_ */